gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A VBox is a specific type of for packing widgets vertically.

Other ways of laying out widgets include using a horizontal box, (see ), a table, (see ), button boxes, etc.

Useful methods for manipulating boxes can be found in the superclass for HBox, .

Gtk.Box Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of VBox, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  The main way to create a new VBox
  If , all widgets in the box are forced to be equally sized.
  The number of pixels to place between each widget in the box.

  A new VBox

- Property
  GLib.GType GType property. a Returns the native GObject type for .
- Constructor
  Protected constructor.
  a
  a
  Chain to this constructor from subclasses when you manually register a for your subclass.
- Constructor
  VBox Constructor.
  a
  Instantiates a object using default values for the spacing and homogeneous attributes.